## org.eclipse.datatools.enablement.sybase.asa
Interface ISybaseASADdlConstants

All Superinterfaces:
  ISybaseDdlConstants

All Known Implementing Classes:
  ASADdlUtils, ASAProcedureGeneralPage, ASAProcedureSourceUpdater, ASARoutineSourceUpdater, ASASourcePage, SybaseASABaseTableDeltaDdlGenProvider, SybaseASABaseViewTableDeltaDdlGenProvider, SybaseASAColumnDeltaDdlGenProvider, SybaseASADdlBuilder, SybaseASAEventDeltaDdlGenProvider, SybaseASAIndexDeltaDdlGenProvider, SybaseASATableDeltaDdlGenProvider

    public interface ISybaseASADdlConstants

extends ISybaseDdlConstants

Field Summary
`static java.lang.String` `AND`
`static java.lang.String` `ASE`
`static java.lang.String` `BETWEEN`
`static java.lang.String` `BLANK`
`static java.lang.String` `BY`
`static java.lang.String` `CASE`
`static java.lang.String` `CHECKSUM`
`static java.lang.String` `COLLATION`
`static java.lang.String` `COMPATIBLE`
`static java.lang.String` `COMPUTE`
`static java.lang.String` `CONNECT`
`static java.lang.String` `DATE`
`static java.lang.String[]` `DAYS_OF_WEEK`
`static java.lang.String` `DBSPACE`
`static java.lang.String` `DECLARELOCALTEMP`
`static java.lang.String` `DISABLE`
`static java.lang.String` `ENABLE`
`static java.lang.String` `ENCRYPTED`
`static java.lang.String` `EVENT_CONDITION`
`static java.lang.String` `EVERY`
`static java.lang.String` `EXISTING`
`static java.lang.String` `GLOBALTEMPTABLE`
`static java.lang.String` `GROUP`
`static java.lang.String` `HANDLER`
`static java.lang.String` `IDENTIFIED`
`static java.lang.String` `IGNORE`
`static java.lang.String` `JCONNECT`
`static java.lang.String` `JDK`
`static java.lang.String` `KEY`
`static java.lang.String` `MEMBERSHIP`
`static java.lang.String` `MIRROR`
`static java.lang.String` `MODIFY`
`static java.lang.String` `NOTTRANSACTIONAL`
`static java.lang.String` `OFF`
`static java.lang.String` `ONCOMMITDELETE`
`static java.lang.String` `ONCOMMITPRESERVE`
`static java.lang.String` `ONEXCEPTIONRESUME`
`static java.lang.String` `ORDER`
`static java.lang.String` `PADDING`
`static java.lang.String` `PAGE`
`static java.lang.String` `PASSWORD`
`static java.lang.String` `PCTFREE`
`static java.lang.String` `REMOTE`
`static java.lang.String` `RESPECT`
`static java.lang.String` `RESULT`
`static java.lang.String` `SCHEDULE`
`static java.lang.String` `SERVICE`
`static java.lang.String` `SIZE`
`static java.lang.String` `START`
`static int` `SYNTAX_TYPE_LIBRARY_CALL`
`static int` `SYNTAX_TYPE_PROXY`
`static int` `SYNTAX_TYPE_SQLJ`
`static int` `SYNTAX_TYPE_TSQL`
`static int` `SYNTAX_TYPE_WATCOM1`
`static int` `SYNTAX_TYPE_WATCOM2`
`static java.lang.String` `TEMP_PASSWORD`
`static java.lang.String` `TIME`
`static java.lang.String` `USER`
`static java.lang.String` `VIRTUAL`
`static java.lang.String` `WHERE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, RENAME, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, SP_RENAME, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Field Detail

### VIRTUAL

    static final java.lang.String VIRTUAL

See Also:
  Constant Field Values

### RESULT

    static final java.lang.String RESULT

See Also:
  Constant Field Values

### ONEXCEPTIONRESUME

    static final java.lang.String ONEXCEPTIONRESUME

See Also:
  Constant Field Values

### ORDER

    static final java.lang.String ORDER

See Also:
  Constant Field Values

### REMOTE

    static final java.lang.String REMOTE

See Also:
  Constant Field Values

### WHERE

    static final java.lang.String WHERE

See Also:
  Constant Field Values

### EVERY

    static final java.lang.String EVERY

See Also:
  Constant Field Values

### START

    static final java.lang.String START

See Also:
  Constant Field Values

### TIME

    static final java.lang.String TIME

See Also:
  Constant Field Values

### DATE

    static final java.lang.String DATE

See Also:
  Constant Field Values

### SCHEDULE

    static final java.lang.String SCHEDULE

See Also:
  Constant Field Values

### ENABLE

    static final java.lang.String ENABLE

See Also:
  Constant Field Values

### DISABLE

    static final java.lang.String DISABLE

See Also:
  Constant Field Values

### HANDLER

    static final java.lang.String HANDLER

See Also:
  Constant Field Values

### BETWEEN

    static final java.lang.String BETWEEN

See Also:
  Constant Field Values

### AND

    static final java.lang.String AND

See Also:
  Constant Field Values

### DAYS_OF_WEEK

    static final java.lang.String[] DAYS_OF_WEEK

### SYNTAX_TYPE_TSQL

    static final int SYNTAX_TYPE_TSQL

See Also:
  Constant Field Values

### SYNTAX_TYPE_WATCOM1

    static final int SYNTAX_TYPE_WATCOM1

See Also:
  Constant Field Values

### SYNTAX_TYPE_WATCOM2

    static final int SYNTAX_TYPE_WATCOM2

See Also:
  Constant Field Values

### SYNTAX_TYPE_SQLJ

    static final int SYNTAX_TYPE_SQLJ

See Also:
  Constant Field Values

### SYNTAX_TYPE_LIBRARY_CALL

    static final int SYNTAX_TYPE_LIBRARY_CALL

See Also:
  Constant Field Values

### SYNTAX_TYPE_PROXY

    static final int SYNTAX_TYPE_PROXY

See Also:
  Constant Field Values

### MIRROR

    static final java.lang.String MIRROR

See Also:
  Constant Field Values

### CASE

    static final java.lang.String CASE

See Also:
  Constant Field Values

### RESPECT

    static final java.lang.String RESPECT

See Also:
  Constant Field Values

### IGNORE

    static final java.lang.String IGNORE

See Also:
  Constant Field Values

### PAGE

    static final java.lang.String PAGE

See Also:
  Constant Field Values

### SIZE

    static final java.lang.String SIZE

See Also:
  Constant Field Values

### COLLATION

    static final java.lang.String COLLATION

See Also:
  Constant Field Values

### ENCRYPTED

    static final java.lang.String ENCRYPTED

See Also:
  Constant Field Values

### BLANK

    static final java.lang.String BLANK

See Also:
  Constant Field Values

### PADDING

    static final java.lang.String PADDING

See Also:
  Constant Field Values

### ASE

    static final java.lang.String ASE

See Also:
  Constant Field Values

### COMPATIBLE

    static final java.lang.String COMPATIBLE

See Also:
  Constant Field Values

### JDK

    static final java.lang.String JDK

See Also:
  Constant Field Values

### JCONNECT

    static final java.lang.String JCONNECT

See Also:
  Constant Field Values

### PASSWORD

    static final java.lang.String PASSWORD

See Also:
  Constant Field Values

### CHECKSUM

    static final java.lang.String CHECKSUM

See Also:
  Constant Field Values

### KEY

    static final java.lang.String KEY

See Also:
  Constant Field Values

### OFF

    static final java.lang.String OFF

See Also:
  Constant Field Values

### COMPUTE

    static final java.lang.String COMPUTE

See Also:
  Constant Field Values

### MODIFY

    static final java.lang.String MODIFY

See Also:
  Constant Field Values

### DECLARELOCALTEMP

    static final java.lang.String DECLARELOCALTEMP

See Also:
  Constant Field Values

### NOTTRANSACTIONAL

    static final java.lang.String NOTTRANSACTIONAL

See Also:
  Constant Field Values

### ONCOMMITPRESERVE

    static final java.lang.String ONCOMMITPRESERVE

See Also:
  Constant Field Values

### ONCOMMITDELETE

    static final java.lang.String ONCOMMITDELETE

See Also:
  Constant Field Values

### GLOBALTEMPTABLE

    static final java.lang.String GLOBALTEMPTABLE

See Also:
  Constant Field Values

### USER

    static final java.lang.String USER

See Also:
  Constant Field Values

### SERVICE

    static final java.lang.String SERVICE

See Also:
  Constant Field Values

### DBSPACE

    static final java.lang.String DBSPACE

See Also:
  Constant Field Values

### CONNECT

    static final java.lang.String CONNECT

See Also:
  Constant Field Values

### IDENTIFIED

    static final java.lang.String IDENTIFIED

See Also:
  Constant Field Values

### BY

    static final java.lang.String BY

See Also:
  Constant Field Values

### TEMP_PASSWORD

    static final java.lang.String TEMP_PASSWORD

See Also:
  Constant Field Values

### GROUP

    static final java.lang.String GROUP

See Also:
  Constant Field Values

### MEMBERSHIP

    static final java.lang.String MEMBERSHIP

See Also:
  Constant Field Values

### PCTFREE

    static final java.lang.String PCTFREE

See Also:
  Constant Field Values

### EVENT_CONDITION

    static final java.lang.String EVENT_CONDITION

See Also:
  Constant Field Values

### EXISTING

    static final java.lang.String EXISTING

See Also:
  Constant Field Values